Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
qtgui-5.4.1-r1 will not compile, opengl problem? [SOLVED]
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
soupcanstevens
n00b
n00b


Joined: 12 May 2015
Posts: 7

PostPosted: Tue May 12, 2015 12:36 am    Post subject: qtgui-5.4.1-r1 will not compile, opengl problem? [SOLVED] Reply with quote

Hi, so I am attempting to upgrade to Plasma 5, and in order to do so, I must install qtgui-5.4.1-r1, but it will not compile, it gives:
Code:
 * Package:    dev-qt/qtgui-5.4.1-r1
 * Repository: gentoo
 * Maintainer: qt@gentoo.org
 * Upstream:   https://bugreports.qt.io/
 * USE:        abi_x86_64 amd64 elibc_glibc gif harfbuzz jpeg kernel_linux opengl png udev userland_GNU xcb
 * FEATURES:   preserve-libs sandbox userpriv usersandbox
>>> Unpacking source...
>>> Unpacking qtbase-opensource-src-5.4.1.tar.xz to /var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work
>>> Source unpacked in /var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work
>>> Preparing source in /var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work/qtbase-opensource-src-5.4.1 ...
 * Applying qtgui-5.4.1-CVE-2015-0295.patch ...                                                                        [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work/qtbase-opensource-src-5.4.1 ...
 * Configuring with: -prefix /usr -bindir /usr/lib64/qt5/bin -headerdir /usr/include/qt5 -libdir /usr/lib64 -archdatadir /usr/lib64/qt5 -plugindir /usr/lib64/qt5/plugins -libexecdir /usr/lib64/qt5/libexec -importdir /usr/lib64/qt5/imports -qmldir /usr/lib64/qt5/qml -datadir /usr/share/qt5 -docdir /usr/share/doc/qt-5.4.1 -translationdir /usr/share/qt5/translations -sysconfdir /etc/xdg -examplesdir /usr/share/qt5/examples -testsdir /usr/share/qt5/tests -release -no-separate-debug-info -opensource -confirm-license -shared -largefile -accessibility -no-sql-db2 -no-sql-ibase -no-sql-mysql -no-sql-oci -no-sql-odbc -no-sql-psql -no-sql-sqlite -no-sql-sqlite2 -no-sql-tds -pkg-config -system-zlib -system-pcre -no-mtdev -no-journald -no-libpng -no-libjpeg -no-freetype -no-harfbuzz -no-openssl -no-xinput2 -no-xcb-xlib -glib -no-pulseaudio -no-alsa -no-gtkstyle -nomake examples -nomake tests -no-compile-examples -no-rpath -verbose -iconv -no-cups -no-evdev -no-icu -no-fontconfig -no-dbus -no-strip -no-pch -no-xcb -no-eglfs -no-directfb -no-linuxfb -no-kms -no-xkb -no-xrender -no-mitshm -no-xcursor -no-xfixes -no-xinerama -no-xinput -no-xrandr -no-xshape -no-xsync -no-xvideo -sm -qreal double -no-opengl -no-egl -no-warnings-are-errors -no-egl -no-eglfs -no-evdev -no-mtdev -fontconfig -system-freetype -opengl desktop -no-gtkstyle -system-harfbuzz -system-libjpeg -no-kms -system-libpng -libudev -system-xcb -system-xkbcommon -xcb-xlib -xinput2 -xkb -xrender

This is the Qt Open Source Edition.

You are licensed to use this software under the terms of
the Lesser GNU General Public License (LGPL) versions 2.1.
You are also licensed to use this software under the terms of
the GNU Lesser General Public License (LGPL) versions 3.

You have already accepted the terms of the Open Source license.

x86_64-pc-linux-gnu-g++ -c -fvisibility=hidden fvisibility.c
Symbol visibility control enabled.
x86_64-pc-linux-gnu-g++ -o libtest.so -shared -Wl,-Bsymbolic-functions -fPIC bsymbolic_functions.c
Symbolic function binding enabled.
DEFAULT_INCDIRS="/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4/include/g++-v4
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4/include/g++-v4/x86_64-pc-linux-gnu
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4/include/g++-v4/backward
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4/include
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4/include-fixed
/usr/include
"
DEFAULT_LIBDIRS="/usr/lib64
/usr/x86_64-pc-linux-gnu/lib
/usr/lib
/lib
/usr/lib/gcc/x86_64-pc-linux-gnu/4.8.4
/lib64
"
Running configuration tests...
Found pkg-config from $PATH: /usr/bin/pkg-config
Determining architecture... ()
x86_64-pc-linux-gnu-g++ -c -O2 -pipe -march=native -g -Wall -W -fPIE  -I. -I/var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work/qtbase-opensource-src-5.4.1/mkspecs/linux-g++ -o arch.o arch.cpp
x86_64-pc-linux-gnu-g++ -Wl,-O1 -Wl,--as-needed -o arch arch.o   
    Found architecture in binary
CFG_CPUFEATURES=" abm aes avx avx2 bmi bmi2 cx16 f16c fma fsgsbase lzcnt mmx pclmul popcnt rdrnd sse sse2 sse3 ssse3 sse4.1 sse4.2 sse4"
CFG_ARCH="x86_64"
System architecture: 'x86_64'
Host architecture: 'x86_64'
C++11 auto-detection... ()
x86_64-pc-linux-gnu-g++ -c -O2 -pipe -march=native -O2 -std=c++0x -Wall -W -fPIE  -I. -I/var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work/qtbase-opensource-src-5.4.1/mkspecs/linux-g++ -o c++11.o c++11.cpp
x86_64-pc-linux-gnu-g++ -Wl,-O1 -Wl,--as-needed -Wl,-O1 -o c++11 c++11.o   
C++11 enabled.
floatmath auto-detection... ()
x86_64-pc-linux-gnu-g++ -c -O2 -pipe -march=native -O2 -Wall -W -fPIE  -I. -I/var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work/qtbase-opensource-src-5.4.1/mkspecs/linux-g++ -o floatmath.o floatmath.cpp
floatmath.cpp:36:5: warning: unused parameter ‘argc’ [-Wunused-parameter]
 int main(int argc, char **argv)
     ^
floatmath.cpp:36:5: warning: unused parameter ‘argv’ [-Wunused-parameter]
x86_64-pc-linux-gnu-g++ -Wl,-O1 -Wl,--as-needed -Wl,-O1 -o floatmath floatmath.o   
floatmath enabled.
sse2 auto-detection... ()
x86_64-pc-linux-gnu-g++ -c -O2 -pipe -march=native -msse2 -g -Wall -W -fPIE  -I. -I/var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work/qtbase-opensource-src-5.4.1/mkspecs/linux-g++ -o sse2.o sse2.cpp
x86_64-pc-linux-gnu-g++ -Wl,-O1 -Wl,--as-needed -o sse2 sse2.o   
sse2 enabled.
sse3 auto-detection... ()
x86_64-pc-linux-gnu-g++ -c -O2 -pipe -march=native -msse3 -g -Wall -W -fPIE  -I. -I/var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work/qtbase-opensource-src-5.4.1/mkspecs/linux-g++ -o sse3.o sse3.cpp
x86_64-pc-linux-gnu-g++ -Wl,-O1 -Wl,--as-needed -o sse3 sse3.o   
sse3 enabled.
ssse3 auto-detection... ()
x86_64-pc-linux-gnu-g++ -c -O2 -pipe -march=native -mssse3 -g -Wall -W -fPIE  -I. -I/var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work/qtbase-opensource-src-5.4.1/mkspecs/linux-g++ -o ssse3.o ssse3.cpp
x86_64-pc-linux-gnu-g++ -Wl,-O1 -Wl,--as-needed -o ssse3 ssse3.o   
ssse3 enabled.
sse4_1 auto-detection... ()
x86_64-pc-linux-gnu-g++ -c -O2 -pipe -march=native -msse4.1 -g -Wall -W -fPIE  -I. -I/var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work/qtbase-opensource-src-5.4.1/mkspecs/linux-g++ -o sse4_1.o sse4_1.cpp
x86_64-pc-linux-gnu-g++ -Wl,-O1 -Wl,--as-needed -o sse4_1 sse4_1.o   
sse4_1 enabled.
sse4_2 auto-detection... ()
x86_64-pc-linux-gnu-g++ -c -O2 -pipe -march=native -msse4.2 -g -Wall -W -fPIE  -I. -I/var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work/qtbase-opensource-src-5.4.1/mkspecs/linux-g++ -o sse4_2.o sse4_2.cpp
x86_64-pc-linux-gnu-g++ -Wl,-O1 -Wl,--as-needed -o sse4_2 sse4_2.o   
sse4_2 enabled.
avx auto-detection... ()
x86_64-pc-linux-gnu-g++ -c -O2 -pipe -march=native -mavx -g -Wall -W -fPIE  -I. -I/var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work/qtbase-opensource-src-5.4.1/mkspecs/linux-g++ -o avx.o avx.cpp
x86_64-pc-linux-gnu-g++ -Wl,-O1 -Wl,--as-needed -o avx avx.o   
avx enabled.
avx2 auto-detection... ()
x86_64-pc-linux-gnu-g++ -c -O2 -pipe -march=native -mavx2 -g -Wall -W -fPIE  -I. -I/var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work/qtbase-opensource-src-5.4.1/mkspecs/linux-g++ -o avx2.o avx2.cpp
x86_64-pc-linux-gnu-g++ -Wl,-O1 -Wl,--as-needed -o avx2 avx2.o   
avx2 enabled.
NIS auto-detection... ()
x86_64-pc-linux-gnu-g++ -c -O2 -pipe -march=native -O2 -Wall -W -fPIE  -I. -I/var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work/qtbase-opensource-src-5.4.1/mkspecs/linux-g++ -o nis.o nis.cpp
x86_64-pc-linux-gnu-g++ -Wl,-O1 -Wl,--as-needed -Wl,-O1 -o nis nis.o   -lnsl
NIS enabled.
POSIX iconv auto-detection... ()
x86_64-pc-linux-gnu-g++ -c -O2 -pipe -march=native -O2 -Wall -W -fPIE  -I. -I/var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work/qtbase-opensource-src-5.4.1/mkspecs/linux-g++ -o iconv.o iconv.cpp
x86_64-pc-linux-gnu-g++ -Wl,-O1 -Wl,--as-needed -Wl,-O1 -o iconv iconv.o   
POSIX iconv enabled.
Glib auto-detection... ()
x86_64-pc-linux-gnu-g++ -c -O2 -pipe -march=native -O2 -Wall -W -fPIE  -I. -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work/qtbase-opensource-src-5.4.1/mkspecs/linux-g++ -o glib.o glib.cpp
glib.cpp: In function ‘int main(int, char**)’:
glib.cpp:44:9: warning: ‘void g_thread_init(gpointer)’ is deprecated (declared at /usr/include/glib-2.0/glib/deprecated/gthread.h:265) [-Wdeprecated-declarations]
         g_thread_init(NULL);
         ^
glib.cpp:44:27: warning: ‘void g_thread_init(gpointer)’ is deprecated (declared at /usr/include/glib-2.0/glib/deprecated/gthread.h:265) [-Wdeprecated-declarations]
         g_thread_init(NULL);
                           ^
x86_64-pc-linux-gnu-g++ -Wl,-O1 -Wl,--as-needed -Wl,-O1 -o glib glib.o   -pthread -lgthread-2.0 -lglib-2.0
Glib enabled.
OpenGL auto-detection... ()
x86_64-pc-linux-gnu-g++ -c -O2 -pipe -march=native -O2 -Wall -W -fPIE  -I. -I/var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work/qtbase-opensource-src-5.4.1/mkspecs/linux-g++ -o opengldesktop.o opengldesktop.cpp
In file included from opengldesktop.cpp:37:0:
/usr/include/GL/gl.h:2055:22: fatal error: GL/glext.h: No such file or directory
 #include <GL/glext.h>
                      ^
compilation terminated.
Makefile:175: recipe for target 'opengldesktop.o' failed
gmake: *** [opengldesktop.o] Error 1
OpenGL disabled.
The OpenGL functionality test failed!
 You might need to modify the include and library search paths by editing
 QMAKE_INCDIR_OPENGL, QMAKE_LIBDIR_OPENGL and QMAKE_LIBS_OPENGL in
 /var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work/qtbase-opensource-src-5.4.1/mkspecs/linux-g++.
 * ERROR: dev-qt/qtgui-5.4.1-r1::gentoo failed (configure phase):
 *   configure failed
 *
 * Call stack:
 *     ebuild.sh, line   93:  Called src_configure
 *   environment, line 2675:  Called qt5-build_src_configure
 *   environment, line 2305:  Called qt5_base_configure
 *   environment, line 2409:  Called die
 * The specific snippet of code:
 *       "${S}"/configure "${conf[@]}" || die "configure failed";
 *
 * If you need support, post the output of `emerge --info '=dev-qt/qtgui-5.4.1-r1::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=dev-qt/qtgui-5.4.1-r1::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/dev-qt/qtgui-5.4.1-r1/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/dev-qt/qtgui-5.4.1-r1/temp/environment'.
 * Working directory: '/var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work/qtbase-opensource-src-5.4.1'
 * S: '/var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work/qtbase-opensource-src-5.4.1'


and emerge --info is:
Code:
Portage 2.2.18 (python 2.7.9-final-0, default/linux/amd64/13.0/desktop/plasma, gcc-4.8.4, glibc-2.20-r2, 3.18.11-gentoomemes x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.18.11-gentoomemes-x86_64-Intel-R-_Core-TM-_i7-4700MQ_CPU_@_2.40GHz-with-gentoo-2.2
KiB Mem:    16384824 total,  12064152 free
KiB Swap:          0 total,         0 free
Timestamp of repository gentoo: Sun, 10 May 2015 22:00:01 +0000
sh bash 4.2_p53
ld GNU ld (Gentoo 2.24 p1.4) 2.24
app-shells/bash:          4.2_p53::gentoo
dev-lang/perl:            5.20.2::gentoo
dev-lang/python:          2.7.9-r1::gentoo, 3.3.5-r1::gentoo
dev-util/cmake:           2.8.12.2-r1::gentoo
dev-util/pkgconfig:       0.28-r2::gentoo
sys-apps/baselayout:      2.2::gentoo
sys-apps/openrc:          0.13.11::gentoo
sys-apps/sandbox:         2.6-r1::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.13.4::gentoo
sys-devel/binutils:       2.24-r3::gentoo
sys-devel/gcc:            4.8.4::gentoo
sys-devel/gcc-config:     1.7.3::gentoo
sys-devel/libtool:        2.4.6::gentoo
sys-devel/make:           4.1-r1::gentoo
sys-kernel/linux-headers: 3.18::gentoo (virtual/os-headers)
sys-libs/glibc:           2.20-r2::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

kde
    location: /var/lib/layman/kde
    masters: gentoo
    priority: 50

steam-overlay
    location: /var/lib/layman/steam-overlay
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe -march=native"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -pipe -march=native"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.cites.uiuc.edu/pub/gentoo/ http://gentoo.cs.uni.edu/"
LANG="en_US.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j9"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac acl acpi alsa amd64 berkdb bindist bluetooth branding bzip2 cairo cdda cdr cli consolekit contconfig cracklib crypt cups cxx dbus declarative dri dts dvd dvdr emboss encode exif fam firefox flac fortran gdbm gif glamor gpm gtk3 iconv ipv6 jpeg kde kipi lcms ldap libav libnotify mad mmx mmxext mng modules mp3 mp4 mpeg multilib ncurses nls nptl offensive ogg opengl openmp pam pango pcre pdf phonon plasma png policykit ppds qml qt3support qt5 readline savedconfig sdl semantic-desktop session sound spell sse sse2 sse2i ssl startup-notification svg symlink tcpd tiff truetype udev udisks unicode upower usb vorbis widgets wifi wxwidgets x264 xcb xcomposite xinerama xml xonsolekit xscreensaver xv xvid zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext sse sse2" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_3" RUBY_TARGETS="ruby19 ruby20" USERLAND="GNU" VIDEO_CARDS="nvidia intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

=================================================================
                        Package Settings
=================================================================

dev-qt/qtgui-4.8.6-r4::gentoo was built with the following:
USE="accessibility cups exceptions glib mng qt3support tiff xinerama xv (-aqua) -debug -egl -gtkstyle -nas -nis -pch -trace" ABI_X86="64 -32 -x32"


dev-qt/qtgui-5.4.1-r1::gentoo was built with the following:
USE="gif harfbuzz jpeg png udev xcb -accessibility -debug -egl -eglfs -evdev -gles2 -gtkstyle -ibus -kms -opengl -test" ABI_X86="64"


I know it must be opengl because it works without it, but it needs opengl for plasma5, so hox can this be fixed?
_________________
Stallmanu is my waifu~~~


Last edited by soupcanstevens on Tue May 12, 2015 4:42 pm; edited 1 time in total
Back to top
View user's profile Send private message
soupcanstevens
n00b
n00b


Joined: 12 May 2015
Posts: 7

PostPosted: Tue May 12, 2015 12:56 am    Post subject: Reply with quote

This is the problem, but I don't know what to do:
Code:
OpenGL disabled.
The OpenGL functionality test failed!
 You might need to modify the include and library search paths by editing
 QMAKE_INCDIR_OPENGL, QMAKE_LIBDIR_OPENGL and QMAKE_LIBS_OPENGL in
 /var/tmp/portage/dev-qt/qtgui-5.4.1-r1/work/qtbase-opensource-src-5.4.1/mkspecs/linux-g++.


has anyone ever had to do this?
_________________
Stallmanu is my waifu~~~
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4403

PostPosted: Tue May 12, 2015 5:43 am    Post subject: Reply with quote

You may want to post the output of eselect opengl list or directly start playing with eselect opengl set <opengl_impl> - you have two VIDEO_CARDS (nvidia and intel) in your make.conf, so it really might be that the currently active implementation (eselect opengl) does not work as intended.
I only have an intel card and everything works as expected.
Back to top
View user's profile Send private message
soupcanstevens
n00b
n00b


Joined: 12 May 2015
Posts: 7

PostPosted: Tue May 12, 2015 1:02 pm    Post subject: Reply with quote

Thanks for the reply, there is only one opengl implementation, but I will try recompiling opengl with different video cards enabled in make.conf
_________________
Stallmanu is my waifu~~~
Back to top
View user's profile Send private message
soupcanstevens
n00b
n00b


Joined: 12 May 2015
Posts: 7

PostPosted: Tue May 12, 2015 2:45 pm    Post subject: update Reply with quote

so I re-emerged opengl with the different video cards enabled in make.conf and that didn't work
_________________
Stallmanu is my waifu~~~
Back to top
View user's profile Send private message
soupcanstevens
n00b
n00b


Joined: 12 May 2015
Posts: 7

PostPosted: Tue May 12, 2015 4:41 pm    Post subject: solved Reply with quote

Alright, I'm stupid, I didn't have Mesa installed, so it works now, hurray
_________________
Stallmanu is my waifu~~~
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4403

PostPosted: Wed May 13, 2015 6:56 am    Post subject: Reply with quote

Hmmm, just had another look at this:
qtgui[opengl] depends on virtual/opengl which pulls in mesa as a dependency. So mesa really should have been installed!
What's the exact command you used to install qtgui?
Back to top
View user's profile Send private message
soupcanstevens
n00b
n00b


Joined: 12 May 2015
Posts: 7

PostPosted: Wed May 13, 2015 12:09 pm    Post subject: Reply with quote

I just used
Code:
emerge qtgui

_________________
Stallmanu is my waifu~~~
Back to top
View user's profile Send private message
franzf
Advocate
Advocate


Joined: 29 Mar 2005
Posts: 4403

PostPosted: Wed May 13, 2015 2:00 pm    Post subject: Reply with quote

soupcanstevens wrote:
I just used
Code:
emerge qtgui

Ah, OK, you changed it ;) (there was a mesa instead of qtgui in the first version ;))

Well, weird...
The opengl USE-Flag was set, so the dependency should have been pulled in.
Do you have mesa or virtual/opengl in your /etc/portage/profile/package.provided?
(Mesa is so essential to video_cards_intel that it just isn't possible to not be installed...)
Back to top
View user's profile Send private message
soupcanstevens
n00b
n00b


Joined: 12 May 2015
Posts: 7

PostPosted: Wed May 13, 2015 2:35 pm    Post subject: Reply with quote

Yeah, I posted it right when I woke up, maybe I had an older version of mesa installed (I switched to ~amd64 for kde5), which was incompatible with the newer qtgui, and when I installed it, it upgraded. Anyway, that's my theory.
_________________
Stallmanu is my waifu~~~
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum